Skip to main content

Get details of a charity

GET 

/auth/payment-gateway/charities/:id

Get details of a charity

Request

Path Parameters

    id stringrequired

    Unique ID of the transaction to retrieve.

Responses

successful operation

Schema

    id uuid

    cents id of the charity

    name string

    The name of the charity

    stripe_id Stripe_ID

    Stripe ID of the charity

    nexi_id Nexi_ID

    Nexi ID of the charity

    sectors string[]

    sectors to be used for blacklist/whitelist from company/payment gateway side

    company_blacklist_sectors string[]

    List of sectors of companies to be excluded

    company_blacklist string[]

    List of companies to be exclude

    company_whitelist_sectors string[]

    List of sectors of companies to be included, if empty all companies will be included

    company_whitelist string[]

    List of companies to be included, if empty all companies will be included

    areas

    object[]

  • Array [

  • region string

    The region of action

    country string

    The country of action

  • ]

  • categories

    undefined[]

  • Array [

  • category_id UUID

    Cents ID of the category

    name string

    Category name

    description string

    Category description

    causes

    undefined[]

  • Array [

  • name

    object

    The name of the cause

    key string

    The key of the cause

    translations

    object

    The translations

    en string

    The english translation

    it string

    The italian translation

    description

    object

    en string

    The english translation

    it string

    The italian translation

  • ]

  • ]

Loading...